import { GetBezierPathParams, GetCenterParams, GetSmoothStepPathParams } from "../../types";
export declare const getCenter: ({ sourceX, sourceY, targetX, targetY, sourcePosition, targetPosition, }: GetCenterParams) => [number, number, number, number];
export declare function getBezierPath({ sourceX, sourceY, sourcePosition, targetX, targetY, targetPosition, centerX, centerY, }: GetBezierPathParams): string;
export declare const bottomLeftCorner: (x: number, y: number, size: number) => string;
export declare const leftBottomCorner: (x: number, y: number, size: number) => string;
export declare const bottomRightCorner: (x: number, y: number, size: number) => string;
export declare const rightBottomCorner: (x: number, y: number, size: number) => string;
export declare const leftTopCorner: (x: number, y: number, size: number) => string;
export declare const topLeftCorner: (x: number, y: number, size: number) => string;
export declare const topRightCorner: (x: number, y: number, size: number) => string;
export declare const rightTopCorner: (x: number, y: number, size: number) => string;
export declare function getSmoothStepPath({ sourceX, sourceY, sourcePosition, targetX, targetY, targetPosition, borderRadius, centerX, centerY, }: GetSmoothStepPathParams): string;
